Zsh Mailing List Archive
Messages sorted by:
Reverse Date,
Date,
Thread,
Author
Re: installing zsh questions
- X-seq: zsh-workers 22341
- From: Peter Stephenson <pws@xxxxxxx>
- To: Francisco Borges <f.borges@xxxxxx>, zsh-workers@xxxxxxxxxx (Zsh hackers list)
- Subject: Re: installing zsh questions
- Date: Mon, 13 Mar 2006 19:10:39 +0000
- In-reply-to: <20060313181552.GA9806@xxxxxxxxxx>
- Mailing-list: contact zsh-workers-help@xxxxxxxxxx; run by ezmlm
- References: <20060313181552.GA9806@xxxxxxxxxx>
Francisco wrote:
> 2. There are executable scripts in Functions/Misc, however 'make
> install' is installing them as non-executable files.
This should fix that particular problem, although some of the functions
in the archive that are also executable shouldn't be. The paths for
things that run as scripts don't get fixed up, either, so this doesn't
necessarily make the rest run as executables anyway. If we were going
to do it properly we would run sed on the #! line at the top of those
that run under zsh (there are some set to use /bin/sh).
Index: Makefile.in
===================================================================
RCS file: /cvsroot/zsh/zsh/Makefile.in,v
retrieving revision 1.14
diff -u -r1.14 Makefile.in
--- Makefile.in 20 Jul 2005 18:08:47 -0000 1.14
+++ Makefile.in 13 Mar 2006 19:05:39 -0000
@@ -87,6 +87,7 @@
scriptdir="$(scriptdir)" \
FUNCTIONS_SUBDIRS="$(FUNCTIONS_SUBDIRS)" \
INSTALL_DATA="$(INSTALL_DATA)" \
+ INSTALL_PROGRAM="$(INSTALL_PROGRAM)" \
DESTDIR="$(DESTDIR)" VERSION="$(VERSION)" \
$(SHELL) $(sdir_top)/Config/installfns.sh || exit 1; \
fi; \
Index: Config/installfns.sh
===================================================================
RCS file: /cvsroot/zsh/zsh/Config/installfns.sh,v
retrieving revision 1.12
diff -u -r1.12 installfns.sh
--- Config/installfns.sh 24 Jul 2005 03:15:26 -0000 1.12
+++ Config/installfns.sh 13 Mar 2006 19:05:39 -0000
@@ -45,6 +45,10 @@
esac
fi
test -d $instdir || /bin/sh $sdir_top/mkinstalldirs $instdir || exit 1
- $INSTALL_DATA $sdir_top/$file $instdir || exit 1
+ if test -x $sdir_top/$file; then
+ $INSTALL_PROGRAM $sdir_top/$file $instdir || exit 1
+ else
+ $INSTALL_DATA $sdir_top/$file $instdir || exit 1
+ fi
fi
done
--
Peter Stephenson <pws@xxxxxxx> Software Engineer
CSR PLC, Churchill House, Cambridge Business Park, Cowley Road
Cambridge, CB4 0WZ, UK Tel: +44 (0)1223 692070
To access the latest news from CSR copy this link into a web browser: http://www.csr.com/email_sig.php
Messages sorted by:
Reverse Date,
Date,
Thread,
Author